# Parameter Index

<table><thead><tr><th width="236">Parameter</th><th width="167">Alternate</th><th width="110">Type</th><th>Description</th></tr></thead><tbody><tr><td>playerName</td><td>N/A</td><td>String</td><td>the players name</td></tr><tr><td>playerUUID</td><td>N/A</td><td>String</td><td>the players unique id</td></tr><tr><td>playerDirection</td><td>N/A</td><td>String</td><td>the players facing direction</td></tr><tr><td>playerHorizontalDirection</td><td>N/A</td><td>String</td><td>the players horizontal direction</td></tr><tr><td>randomDirection</td><td>N/A</td><td>String</td><td>a random direction</td></tr><tr><td>randomHorizontalDirection</td><td>N/A</td><td>String</td><td>a random horizontal direction</td></tr><tr><td>randomDyeColor</td><td>randomDye</td><td>String</td><td>a random dye color</td></tr><tr><td>randomWood</td><td>randomWoodType</td><td>String</td><td>a random wood type</td></tr><tr><td>randomAxis</td><td>N/A</td><td>String</td><td>a random direction axis</td></tr><tr><td>playerPosX</td><td>N/A</td><td>Integer</td><td>the players x block position</td></tr><tr><td>playerPosY</td><td>N/A</td><td>Integer</td><td>the players y block position</td></tr><tr><td>playerPosZ</td><td>N/A</td><td>Integer</td><td>the players z block position</td></tr><tr><td>blockPosX</td><td>N/A</td><td>Integer</td><td>the blocks x block position</td></tr><tr><td>blockPosY</td><td>N/A</td><td>Integer</td><td>the blocks y block positio</td></tr><tr><td>blockPosZ</td><td>N/A</td><td>Integer</td><td>the blocks z block positio</td></tr><tr><td>randomRGBColor</td><td>N/A</td><td>Integer</td><td>a random rgb color in decimal format</td></tr><tr><td>playerVecX</td><td>playerX</td><td>Double</td><td>the players x position</td></tr><tr><td>playerVecY</td><td>playerY</td><td>Double</td><td>the players y position</td></tr><tr><td>playerVecZ</td><td>playerZ</td><td>Double</td><td>the players z position</td></tr><tr><td>blockVecX</td><td>blockX</td><td>Double</td><td>the blocks x position</td></tr><tr><td>blockVecY</td><td>blockY</td><td>Double</td><td>the blocks y position</td></tr><tr><td>blockVecZ</td><td>blockZ</td><td>Double</td><td>the blocks z position</td></tr><tr><td>playerDistance</td><td>N/A</td><td>Double</td><td>the players distance from the block</td></tr><tr><td>playerSquaredDistance</td><td>playerDistance2</td><td>Double</td><td>the players squared distance from the block</td></tr><tr><td>playerPitch</td><td>N/A</td><td>Double</td><td>the players pitch</td></tr><tr><td>playerYaw</td><td>N/A</td><td>Double</td><td>the players yaw</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/lucky-block/parameters/parameter-index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
